Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update agent provider

PUT/workspaces/{organizationId}/agent/providers/{agentId}
Path parameters
organizationIdstringrequired
agentIdstringrequired
Request body
application/json
modestring
Allowed:hostedbyo
tokenstring | null
providerOrgIdstring | null
outpoststring | null
outpostIdstring | null
outpostTokenstring | null
computeApiKeystring | null
computeApiUrlstring | null
computeSnapshotstring | null
computeVolumeIdstring | null
configobject | null
teamIdsstring[] | null
Responses
200Provider config saved (secrets redacted)
agentIdstringrequired
hasTokenbooleanrequired
providerOrgIdstring | nullrequired
outpoststring | nullrequired
hasOutpostTokenbooleanrequired
hasComputeApiKeybooleanrequired
computeApiUrlstring | nullrequired
computeSnapshotstring | nullrequired
computeVolumeIdstring | nullrequired
configobject | nullrequired
teamIdsstring[] | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT "/workspaces/string/agent/providers/string" \
  -H "Content-Type: application/json" \
  -d '{
  "mode": "hosted",
  "token": "string",
  "providerOrgId": "string",
  "outpost": "string",
  "outpostId": "string",
  "outpostToken": "string",
  "computeApiKey": "string",
  "computeApiUrl": "string",
  "computeSnapshot": "string",
  "computeVolumeId": "string",
  "config": {
    "property1": null,
    "property2": null
  },
  "teamIds": [
    "string"
  ]
}'
Response
{
  "agentId": "string",
  "hasToken": true,
  "providerOrgId": "string",
  "outpost": "string",
  "hasOutpostToken": true,
  "hasComputeApiKey": true,
  "computeApiUrl": "string",
  "computeSnapshot": "string",
  "computeVolumeId": "string",
  "config": {
    "property1": null,
    "property2": null
  },
  "teamIds": [
    "string"
  ],
  "createdAt": "string",
  "updatedAt": "string"
}